### Function

# GObject type_init_with_debug_flags

deprecated: 2.36

#### Declaration [src]

    void
    g_type_init_with_debug_flags (
      GTypeDebugFlags debug_flags
    )

#### Description [src]

This function used to initialise the type system with debugging flags. Since GLib 2.36, the type system is initialised automatically and this function does nothing.

If you need to enable debugging features, use the `GOBJECT_DEBUG` environment variable.

Deprecated since: 2.36

The type system is now initialised automatically.

#### Parameters

`debug_flags`

  Type: `GTypeDebugFlags`

  Bitwise combination of `GTypeDebugFlags` values for debugging purposes.